#!/bin/bash
mode=${1:-dev}
branch=${2:-main}

cd ../..

if [ ! -d "oc-k8s" ]; 
    echo "Cloning repository: $repo_name"
    git clone "https://cloud.o-forge.io/core/oc-k8s.git"
    if [ $? -ne 0 ]; then
        echo "Error cloning oc-k8s"
        exit 1
    fi
fi
echo "Repository 'oc-k8s' already exists. Pulling latest changes..."
cd "oc-k8s" && git checkout $branch && git pull

./uninstall.sh $mode
./delete_kind_cluster.sh

